import React, { Component } from 'react'
import { Layout } from 'antd';
import THeader from './THeader'
import TSlide from './TSlide';
import TContext from './TContext';
import TBreadcrumb from './TBreadcrumb';
import './index.less'

export default class TLayout extends Component {
  render() {
    return (
        <Layout>
          <THeader />
          <Layout>
            <TSlide />
            <Layout style={{ padding: '0 24px 24px', }}>
              <TBreadcrumb />
              <TContext />
            </Layout>
          </Layout>
        </Layout>
    )
  }
}
