import { createSlice } from '@reduxjs/toolkit'
import {nanoid} from "nanoid";

export const pushHotkeysSlice = createSlice({
    name: 'pushHotkeys',
    initialState: {
        data: "",
        id: nanoid()
    },
    reducers: {
        pushHotkeys: (state, action) => {
            console.log("pushHotkeys:pushHotkeys", action.payload)
            if(action.payload){
                state.data = action.payload;
                state.id = nanoid();
            }
        }
    }
})
export const { pushHotkeys } = pushHotkeysSlice.actions

export default pushHotkeysSlice.reducer
