const pathOperate = window.require("path")

export function getFileNameByPath(fileName){
    return pathOperate.parse(fileName).name
}

export function getFileExtByPath(fileName){
    return pathOperate.parse(fileName).ext
}
export function getFileFullNameByPath(fileName){
    return pathOperate.parse(fileName).base
}

export function replaceFileNameByFilePath(filePath,fileName){
    let parsedPath = pathOperate.parse(filePath);
    return pathOperate.format({"dir":parsedPath.dir,"base":fileName+parsedPath.ext})
}
export function getFileDirByPath(fileName){
    return pathOperate.parse(fileName).dir
}
export function fileNameFormat(dir,fileName,ext){
    return pathOperate.format({"dir":dir,"base":fileName+ext})
}
export function fileDirFormat(dir,fileName){
    return dir+pathOperate.sep+fileName
}
export function fileDirFormatArray(dirArray){
    // todo 不同系统处理
    return pathOperate.sep+dirArray.join(pathOperate.sep)
}

export function fullFileNameFormat(dir,fileName){
    return pathOperate.format({"dir":dir,"base":fileName})
}

export function filePathSplit(filePath){
    return filePath.split(pathOperate.sep)
}
